image: mcr.microsoft.com/dotnet/sdk:6.0

stages:
  - build
  - test
  - publish
  - dockerize

build:
  stage: build
  script:
    - dotnet build

test:
  stage: test
  script:
    - dotnet test

publish:
  stage: publish
  only:
    - master
  artifacts:
    paths:
      - publish/
  script:
    - dotnet publish -c Release -o publish Git.Ftp.Uploader/Git.Ftp.Uploader.csproj